import { useEffect, useRef } from "react";
import * as THREE from "three"

export const App = () => {
  const mountRef = useRef(null);

  useEffect(() => {

    const scene = new THREE.Scene();
    const camera = new THREE.PerspectiveCamera( 75, window.innerWidth/window.innerHeight, 0.1, 1000 );
    const renderer = new THREE.WebGLRenderer();
    
    renderer.setSize( window.innerWidth, window.innerHeight );
    
    mountRef.current.appendChild( renderer.domElement );
    
    const geometry = new THREE.TorusKnotGeometry( 10, 3, 100, 16 );
    const material = new THREE.MeshPhongMaterial( { color: '#4287f5', specular:"#ddff61",  },  );
    const cube = new THREE.Mesh( geometry, material );
   const directionalLight = new THREE.DirectionalLight( 0xffffff, 1 );
scene.add( directionalLight );

    
    scene.add( cube );
 
    camera.position.z = 50;
    
    const animate = function () {
      requestAnimationFrame( animate );
      cube.rotation.x += 0.01;
      cube.rotation.y += 0.01;
      renderer.render( scene, camera );
    };
    
    animate();

    return () => mountRef.current.removeChild( renderer.domElement);
  }, []);

  return (
    <div ref={mountRef}>

    </div>
  );
};
